package com.xjrsoft.module.liteflow.node;

import cn.hutool.core.convert.Convert;
import com.xjrsoft.module.textbook.service.IWfTextbookClaimService;
import com.yomahub.liteflow.core.NodeComponent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 教材申领审核通过后进行领取人记录添加规则
 */
@Component("add_claim_user_node")
public class AddClaimUserNode extends NodeComponent {
    @Autowired
    private IWfTextbookClaimService wfTextbookClaimService;

    @Override
    public void process() throws Exception {
        // 获取表单中数据编号
        Map<String, Object> params = this.getFirstContextBean();
        Object value = util.getFormDatKey(params,"id");
        Long formId = Convert.toLong(value);
        if (formId != null) {
            // 数据处理
            wfTextbookClaimService.dataHandleAddClaimUserNode(formId);
        }
    }
}
